#include <QCoreApplication>
#include <QDebug>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QNetworkRequest request(QUrl("https://untrusted-root.badssl.com/"));

    QNetworkAccessManager manager;
    auto reply = manager.get(request);
    reply->ignoreSslErrors();

    QObject::connect(reply, &QNetworkReply::finished, [reply]{
        qDebug() << "Finished emitted";
        qDebug() << "Errors:" << reply->error() << reply->errorString();
        qApp->quit();
    });

    QObject::connect(reply, &QNetworkReply::sslErrors, [](const QList<QSslError> &errors){
        qDebug() << "SSL errors:" << errors;
    });

    return a.exec();
}
